from django.test import TestCase
from django.urls import reverse

class HomePageViewTest(TestCase):
    def test_home_page_view(self):
        # Use reverse to generate the URL for the home view
        response = self.client.get(reverse('home'))

        # Check that the response status code is 200
        self.assertEqual(response.status_code, 200)

        # Check that the response content matches "Hello, World!"
        self.assertEqual(response.content.decode('utf-8'), "Hello, World!")